membuffer Struct Reference

`#include <membuffer.h>`

## Data Fields

char * | buf
size_t | length
size_t | capacity
size_t | size_inc

## Detailed Description

Maintains a block of dynamically allocated memory note: Total length/capacity should not exceed MAX_INT

## Field Documentation

## buf

char* membuffer::buf

mem buffer; must not write beyond buflength-1.

Referenced by get_alias(), is_valid_alias(), membuffer_assign(), membuffer_attach(), membuffer_delete(), membuffer_destroy(), membuffer_detach(), memptr_cmp_nocase(), print_http_headers(), and web_server_set_root_dir().

## capacity

size_t membuffer::capacity

total allocated memory (read-only).

Referenced by membuffer_attach(), and memptr_cmp_nocase().

## length

size_t membuffer::length

length of buffer (read-only).

Referenced by get_alias(), membuffer_append(), membuffer_append_str(), membuffer_assign(), membuffer_attach(), membuffer_delete(), membuffer_insert(), membuffer_set_size(), memptr_cmp_nocase(), print_http_headers(), and web_server_set_root_dir().

## size_inc

size_t membuffer::size_inc

used to increase size; MUST be > 0; (read/write).

Referenced by CreateServicePacket(), and membuffer_init().

The documentation for this struct was generated from the following file:

- upnp/src/inc/membuffer.h